## nb2plots 0.6

=== requirements.txt ===
# Minimum requirements
#
ipython[notebook]>=3.0
sphinx>=1.4
numpy>=1.6.1
matplotlib>=1.1.0
six>=1.7.0
sphinxtesters
texext

=== debian/changelog ===
nb2plots (0.6-2ubuntu1) jammy; urgency=medium

  * d/p/fix-collections-sequence-py310.patch: Use collections.abc.Sequence
    for Python 3.10.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Mar 2022 09:06:47 -0400

nb2plots (0.6-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/control
    - add nbformat to depends, needed by the ipython shim module
    - bump Standards-Version to 4.4.1 (no changes needed)
  * Drop python2 support; Closes: #937116
  * debian/copyright
    - extrend packaging copyright years

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Nov 2019 13:04:41 -0500

nb2plots (0.6-1) unstable; urgency=low

  * Initial release; Closes: #895717

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Apr 2018 04:27:23 +0000

=== debian/control ===
Source: nb2plots
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-all,
               python3-ipython,
               python3-matplotlib,
               python3-numpy,
               python3-setuptools,
               python3-six (>= 1.7.0),
               python3-sphinx,
               python3-sphinxtesters,
               python3-texext,
Standards-Version: 4.4.1
Homepage: https://github.com/matthew-brett/nb2plots
Vcs-Git: https://salsa.debian.org/python-team/modules/nb2plots.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/nb2plots

Package: python3-nb2plots
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-nbformat
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Converting between ipython notebooks and sphinx docs (Python 3)
 nb2plots converts Jupyter notebooks to ReST files for Sphinx, and back again.
 .
 Nb2plots assumes that the ReST document will become the source for your Sphinx
 web pages, but also for future versions of the notebook.  The notebook may
 serve as a draft for the polished ReST page, and an output format from the
 Sphinx build.
 .
 This package contains the Python 3 version of nb2plots.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=nb2plots
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo "skip tests for now"
	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} -m unittest discover -v" dh_auto_test
	# run: py.test --pyargs nb2plots
	# after installing: pytest, mock package; and then scripttester, sphinxtesters both to be package for debian

=== debian/watch ===
# try also https://pypi.debian.net/nb2plots/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nb2plots/nb2plots-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nb2plots 0.6.1

=== requirements.txt ===
# Minimum requirements
#
ipython[notebook]>=4.0
sphinx>=1.4
numpy>=1.7.1
matplotlib>=2.0
six>=1.10
sphinxtesters>=0.2
texext

=== debian/changelog ===
nb2plots (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track github releases
  * Drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jun 2022 23:53:38 -0400

nb2plots (0.6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/patches/PR14.patch
    - import upstream PR to import Sequence properly; Closes: #1008261

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-six.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 23:00:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: nb2plots
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13), dh-python,
                python3-all,
                python3-ipython,
                python3-matplotlib,
                python3-numpy,
                python3-setuptools,
-               python3-six (>= 1.7.0),
+               python3-six,
                python3-sphinx,
                python3-sphinxtesters,
                python3-texext,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/matthew-brett/nb2plots
-Vcs-Git: https://salsa.debian.org/python-team/modules/nb2plots.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/nb2plots
+Vcs-Git: https://salsa.debian.org/python-team/packages/nb2plots.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/nb2plots
 
 Package: python3-nb2plots
 Architecture: all

## nb2plots 0.7.2

=== requirements.txt ===
# See min-requirements for minimum requirements.
# Update there and here.
ipython[notebook]>=7.16.3
sphinx>=4
numpy>=1.20
matplotlib>=3.2
sphinxtesters>=0.2.3
texext>=0.6.6
nbconvert>=6.0.7

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    ?=
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html: example html-only

.PHONY: html-only
html-only:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nb2plots.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nb2plots.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/nb2plots"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/nb2plots"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

example: example_notebook.ipynb
	mkdir -p $(BUILDDIR)/html
	jupyter nbconvert --to html example_notebook.ipynb --stdout > \
		$(BUILDDIR)/html/example_notebook.html
	nb2plots example_notebook.ipynb > converted_example.rst
	cp converted_example.rst converted_plus_notebooks.rst
	echo '.. code-links::' >> converted_plus_notebooks.rst

github: html
	ghp-import -n $(BUILDDIR)/html/
	git push origin gh-pages:gh-pages --force
	@echo
	@echo "Published to Github"

=== nb2plots/tests/futz/Makefile ===
BUILDDIR = build
SRCDIR = proj1

all: build-html

clean:
	rm -rf $(BUILDDIR)

init: clean
	rm -rf $(SRCDIR)
	cp -r ../$(SRCDIR) .

build-% :
	sphinx-build -W -b $* -d $(BUILDDIR) $(SRCDIR) $(BUILDDIR)

debug-% :
	sphinx-build -P -W -b $* -d $(BUILDDIR) $(SRCDIR) $(BUILDDIR)

permissive-% :
	sphinx-build -b $* -d $(BUILDDIR) $(SRCDIR) $(BUILDDIR)

html: build-html

doctest: build-doctest

text: build-text

=== debian/changelog ===
nb2plots (0.7.2-4) unstable; urgency=medium

  * Team upload.
  * Ignore tests: test_nbplots.py (Closes: #1120230).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2025 17:13:38 +0100

nb2plots (0.7.2-3) unstable; urgency=medium

  * adopt package inside DPT (Closes: #1064947)
  * deduplicate BSD-2-clause license, add some missing tags

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Mar 2024 15:12:36 +0100

nb2plots (0.7.2-2) unstable; urgency=medium

  * orphan while waiting for RM

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 16:54:35 -0500

nb2plots (0.7.2-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - drop six from b-d, no longer needed; Closes: #1053999
    - run wrap-and-sort
    - add pandoc, ipykernel, nbconvert, nbformat, pytest to b-d, needed by
      tests
    - bump Standards-Version to 4.6.2 (no changes needed)
  * debian/rules
    - run tests at build time
  * debian/patches/PR36.patch
    - use absolute imports, allowing to run from_notebook via adt
  * run autopkgtests via autopkgtest-pkg-pybuild; Closes: #1035181, #1036519

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Jan 2024 02:51:08 -0500

=== debian/control ===
Source: nb2plots
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc <!nocheck>,
               python3-all,
               python3-ipykernel <!nocheck>,
               python3-ipython,
               python3-matplotlib,
               python3-nbconvert <!nocheck>,
               python3-nbformat <!nocheck>,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxtesters,
               python3-texext,
Standards-Version: 4.6.2
Homepage: https://github.com/matthew-brett/nb2plots
Vcs-Git: https://salsa.debian.org/python-team/packages/nb2plots.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nb2plots
Testsuite: autopkgtest-pkg-pybuild

Package: python3-nb2plots
Architecture: all
Depends: python3-nbformat,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Converting between ipython notebooks and sphinx docs (Python 3)
 nb2plots converts Jupyter notebooks to ReST files for Sphinx, and back again.
 .
 Nb2plots assumes that the ReST document will become the source for your Sphinx
 web pages, but also for future versions of the notebook.  The notebook may
 serve as a draft for the polished ReST page, and an output format from the
 Sphinx build.
 .
 This package contains the Python 3 version of nb2plots.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=nb2plots

# depends on PyPI:scripttester , not packaged for debian and likely not worth it
export PYBUILD_TEST_ARGS=--ignore-glob *test_scripts.py --ignore-glob *test_nbplots.py

%:
	dh $@ --with python3 --buildsystem=pybuild
